> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/pim3/reference/search/bulk-actions.md).

# Bulk actions

Perform numerous bulk actions across your entities. Be guide through both bulk and mass editing abilities.

{% hint style="warning" %}
**Note** This page assumes you have already selected the product(s) you want to apply an action to and clicked the "Actions"-button.
{% endhint %}

### Bulk update

1. Click "Bulk update"
2. Select data field you wish to update
3. Click "Next"
4. Enter new value
5. Click "Confirm"

### Update sequentially

1. Click "Update sequentially"
2. Select the data field(s) to work with
3. Update data field(s)
4. Click "Save changes"

### Restore inheritance

1. Click "Restore inheritance"
2. Select the data field(s) to restore inheritance for
3. Click "Restore inheritance"

### Create task

1. Click "Create task"
2. Set Title and Responsible along with additional [details](/pim3/reference/tasks/task-details.md)
3. Click "Create task"

### Classify

1. Click "Classify"
2. Choose classification option
3. Click "Next"
4. Select one or more categories
5. Click "Next"
6. Click "Confirm"

### Merge

1. Click "Merge"
2. Select product structure to user after merge
3. Click "Confirm"

{% hint style="danger" %}
**Note** Merging of products cannot be undone.
{% endhint %}

### Export

1. Click "Export"
2. Select exporter
3. Configure export
4. Click "Download"

### Archive

1. Click "Archive"
2. Select archive reason
3. Confirm you understand the consequences of archiving
4. Click "Archive X Products"

### Add to workbench

1. Click "Add to workbench"
2. Select workbench
3. Click "Confirm"

### Export publication

1. Click "Export publication"
2. Set Template, Size, Language(s) and Segments to use for rendering
3. Click "Next"
4. Set Product catalogue
5. Click "Build"

### Change product structure

1. Click "Change product structure"
2. Set Product structure
3. Click "Next"
4. Click "Confirm"

### Delete

1. Click "Delete"
2. Tick confirmation box
3. Click "Confirm"


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.struct.com/pim3/reference/search/bulk-actions.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
